# Update Delivery Details

## Update Delivery Details

<mark style="color:orange;">`PUT`</mark> `{baseUrl}/deliveries/drops/:id`

Update delivery details by providing the drop ID

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String |             |

#### Headers

| Name                                          | Type   | Description     |
| --------------------------------------------- | ------ | --------------- |
| app\_id<mark style="color:red;">\*</mark>     | String | Your app ID     |
| app\_secret<mark style="color:red;">\*</mark> | String | Your app secret |

#### Request Body

| Name               | Type   | Description |
| ------------------ | ------ | ----------- |
| address            | String |             |
| recipientName      | String |             |
| recipientNumber    | String |             |
| altRecipientNumber | String |             |
| note               | String |             |
| locationCode       | String |             |

{% tabs %}
{% tab title="200: OK Delivery updated successfully" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="400: Bad Request Invalid dropId" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### Sample Success Data

```
// Sample Request information
Url: https://sandbox.sendstack.africa/api/v1/deliveries/drops/yourDropId
NB: Replace yourDropId with an actual dropId
Method: PUT
Headers:
 - app_id: "your app_id"
 - app_secret: "your app_secret"
```

```json
//Sample Request Body
{
    "locationCode": "04",
    "address": "4, Toyin Street, Yaba",
    "recipientName": "Clinton",
    "recipientNumber": "09067234756"
}
```

```json
// Sample Response Body - 200 OK
{
    "status": true,
    "message": "Delivery updated successfully",
    "data": {
        "id": "65b8c2c734d8cd1be099fd45",
        "processed": false,
        "status": "PENDING",
        "paymentStatus": "PENDING",
        //..truncated for brevity
    }
}
```

### Sample Error Data

```
// Sample Request information
Url: https://sandbox.sendstack.africa/api/v1/deliveries/drops/invalidDropId
Method: PUT
Headers:
 - app_id: "your app_id"
 - app_secret: "your app_secret"
```

```json
// Sample Response Body - 400 Bad Request
{
    "status": false,
    "message": "Invalid dropId"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendstackhq.com/delivery-api/bookings/update-delivery-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
